org.eclipse.viatra.query.runtime.rete.recipes.impl

## Class ExpressionEnforcerRecipeImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.viatra.query.runtime.rete.recipes.impl.ReteNodeRecipeImpl
          - - org.eclipse.viatra.query.runtime.rete.recipes.impl.SingleParentNodeRecipeImpl
            - - org.eclipse.viatra.query.runtime.rete.recipes.impl.AlphaRecipeImpl
              - - org.eclipse.viatra.query.runtime.rete.recipes.impl.ExpressionEnforcerRecipeImpl

- All Implemented Interfaces:
    org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder, org.eclipse.emf.ecore.InternalEObject, AlphaRecipe, ExpressionEnforcerRecipe, ReteNodeRecipe, SingleParentNodeRecipe
  Direct Known Subclasses:
    CheckRecipeImpl, EvalRecipeImpl

      public abstract class ExpressionEnforcerRecipeImpl
      extends AlphaRecipeImpl
      implements ExpressionEnforcerRecipe

  An implementation of the model object 'Expression Enforcer Recipe'.

  The following features are implemented:

  - `Expression`
  - `Mapped Indices`
  - `Cache Output`
  Generated:

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EScannableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `org.eclipse.emf.ecore.InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static boolean` | `CACHE_OUTPUT_EDEFAULT` The default value of the '`Cache Output`' attribute.
    `protected boolean` | `cacheOutput` The cached value of the '`Cache Output`' attribute.
    `static java.lang.String` | `copyright`
    `protected ExpressionDefinition` | `expression` The cached value of the '`Expression`' containment reference.
    `protected org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer>` | `mappedIndices` The cached value of the '`Mapped Indices`' map.

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.recipes.impl.SingleParentNodeRecipeImpl

      `parent`

    - ### Fields inherited from class org.eclipse.viatra.query.runtime.rete.recipes.impl.ReteNodeRecipeImpl

      `equivalenceClassIDs, TRACE_INFO_EDEFAULT, traceInfo`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ExpressionEnforcerRecipeImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.notify.NotificationChain` | `basicSetExpression(ExpressionDefinition newExpression, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, java.lang.Object newValue)`
    `protected org.eclipse.emf.ecore.EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `ExpressionDefinition` | `getExpression()`
    `org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer>` | `getMappedIndices()`
    `boolean` | `isCacheOutput()`
    `void` | `setCacheOutput(boolean newCacheOutput)`
    `void` | `setExpression(ExpressionDefinition newExpression)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.recipes.impl.SingleParentNodeRecipeImpl

      `basicGetParent, getParent, setParent`

    - ### Methods inherited from class org.eclipse.viatra.query.runtime.rete.recipes.impl.ReteNodeRecipeImpl

      `eInvoke, getArity, getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.SingleParentNodeRecipe

      `getParent, setParent`

    - ### Methods inherited from interface org.eclipse.viatra.query.runtime.rete.recipes.ReteNodeRecipe

      `getArity, getEquivalenceClassIDs, getTraceInfo, setTraceInfo`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### copyright

          public static final java.lang.String copyright

      See Also:
        Constant Field Values
      Generated:

    - #### expression

          protected ExpressionDefinition expression

      The cached value of the '`Expression`' containment reference.
      See Also:
        `getExpression()`
      Generated:
      Ordered:

    - #### mappedIndices

          protected org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer> mappedIndices

      The cached value of the '`Mapped Indices`' map.
      See Also:
        `getMappedIndices()`
      Generated:
      Ordered:

    - #### CACHE_OUTPUT_EDEFAULT

          protected static final boolean CACHE_OUTPUT_EDEFAULT

      The default value of the '`Cache Output`' attribute.
      See Also:
        `isCacheOutput()`, Constant Field Values
      Generated:
      Ordered:

    - #### cacheOutput

          protected boolean cacheOutput

      The cached value of the '`Cache Output`' attribute.
      See Also:
        `isCacheOutput()`
      Generated:
      Ordered:

  - ### Constructor Detail

    - #### ExpressionEnforcerRecipeImpl

          protected ExpressionEnforcerRecipeImpl()

      Generated:

  - ### Method Detail

    - #### eStaticClass

          protected org.eclipse.emf.ecore.EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `AlphaRecipeImpl`
      Generated:

    - #### getExpression

          public ExpressionDefinition getExpression()

      Specified by:
        `getExpression` in interface `ExpressionEnforcerRecipe`
      Returns:
        the value of the 'Expression' containment reference.
      See Also:
        `ExpressionEnforcerRecipe.setExpression(ExpressionDefinition)`, `RecipesPackage.getExpressionEnforcerRecipe_Expression()`
      Generated:

    - #### basicSetExpression

          public org.eclipse.emf.common.notify.NotificationChain basicSetExpression(ExpressionDefinition newExpression,
                                                                                    org.eclipse.emf.common.notify.NotificationChain msgs)

      Generated:

    - #### setExpression

          public void setExpression(ExpressionDefinition newExpression)

      Specified by:
        `setExpression` in interface `ExpressionEnforcerRecipe`
      Parameters:
        `newExpression` - the new value of the 'Expression' containment reference.
      See Also:
        `ExpressionEnforcerRecipe.getExpression()`
      Generated:

    - #### getMappedIndices

          public org.eclipse.emf.common.util.EMap<java.lang.String,java.lang.Integer> getMappedIndices()

      Specified by:
        `getMappedIndices` in interface `ExpressionEnforcerRecipe`
      Returns:
        the value of the 'Mapped Indices' map.
      See Also:
        `RecipesPackage.getExpressionEnforcerRecipe_MappedIndices()`
      Generated:

    - #### isCacheOutput

          public boolean isCacheOutput()

      Specified by:
        `isCacheOutput` in interface `ExpressionEnforcerRecipe`
      Returns:
        the value of the 'Cache Output' attribute.
      See Also:
        `ExpressionEnforcerRecipe.setCacheOutput(boolean)`, `RecipesPackage.getExpressionEnforcerRecipe_CacheOutput()`
      Generated:

    - #### setCacheOutput

          public void setCacheOutput(boolean newCacheOutput)

      Specified by:
        `setCacheOutput` in interface `ExpressionEnforcerRecipe`
      Parameters:
        `newCacheOutput` - the new value of the 'Cache Output' attribute.
      See Also:
        `ExpressionEnforcerRecipe.isCacheOutput()`
      Generated:

    - #### eInverseRemove

          public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                                int featureID,
                                                                                org.eclipse.emf.common.notify.NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`
      Generated:

    - #### eGet

          public java.lang.Object eGet(int featureID,
                                       boolean resolve,
                                       boolean coreType)

      Specified by:
        `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eGet` in class `SingleParentNodeRecipeImpl`
      Generated:

    - #### eSet

          public void eSet(int featureID,
                           java.lang.Object newValue)

      Specified by:
        `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eSet` in class `SingleParentNodeRecipeImpl`
      Generated:

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eUnset` in class `SingleParentNodeRecipeImpl`
      Generated:

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
      Overrides:
        `eIsSet` in class `SingleParentNodeRecipeImpl`
      Generated:

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ReteNodeRecipeImpl`
      Generated: